/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ScriptingCheck.js,v 1.4 2002/01/23 07:36:13 JacobK Exp $
 */

//--------------------- Public functions ----------------------------
//csc_102200.1 - created
/**
 * Used to check a client page to see if it supports scripting
 */
function sc_CheckPage() {
    
	//iterate through the document's links
	for (var i=0; i<document.links.length; i++) {
	    var link = document.links[i];
        if (link.href.indexOf("$csjs=true")>-1 || link.href.indexOf("mailto:")>-1 || link.href.indexOf("javascript:")>-1 || link.href.indexOf("data:")>-1 || link.href.indexOf("jar:")>-1) continue;
        var pos = link.href.indexOf("$csjs=false");
        //if the link already contains a csjs reference
        if (pos>-1) {
            var href2 = link.href.substring(0,pos)+"$csjs=true";
            if (pos+11<link.href.length) href2 += link.href.substring(pos+11, link.href.length);
            link.href = href2;
        //otherwise just append it on    
        } else {
            var sep = "?";
            if (link.href.indexOf(sep)>-1) sep = "&amp;";
            var href2 = link.href;
            if (link.hash.length>0) href2 = link.href.substring(0,link.href.indexOf(link.hash)-1);
            link.href = href2 + sep + "$csjs=true" + link.hash;
        }
	}
    
    //now iterate through the forms
	for (var i=0; i<document.forms.length; i++) {
	    var form = document.forms[i];
        
        //see if we can find a csjs element, and set its
        //value to true if it exists
	    for (var j=0; j<form.elements.length; j++) {
	        var element = form.elements[j];
            if (element.name=="$csjs") {
                //set the value
                element.value = "true";

                //break
                break;
            }
	    }
    }
}

//--------------------- Utility functions ---------------------------
